aboutsummaryrefslogtreecommitdiffstats
path: root/main/unbound/unbound.initd
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2019-12-01 20:18:41 +0100
committerJakub Jirutka <jakub@jirutka.cz>2019-12-01 20:21:29 +0100
commit2f801fed8842d7a863feeac19b4f14066de1bb19 (patch)
treeda1ada005aa40a81bb3931b766c54120807728c3 /main/unbound/unbound.initd
parent5e539eb207a9c9a3aa16c32fd3e23c685793c3d1 (diff)
downloadaports-2f801fed8842d7a863feeac19b4f14066de1bb19.tar.gz
aports-2f801fed8842d7a863feeac19b4f14066de1bb19.tar.bz2
aports-2f801fed8842d7a863feeac19b4f14066de1bb19.tar.xz
main/unbound: enable control interface on local socket by default
So unbound can be actually controlled...
Diffstat (limited to 'main/unbound/unbound.initd')
-rw-r--r--main/unbound/unbound.initd8
1 files changed, 7 insertions, 1 deletions
diff --git a/main/unbound/unbound.initd b/main/unbound/unbound.initd
index 9fba36cff7..136ce01ccf 100644
--- a/main/unbound/unbound.initd
+++ b/main/unbound/unbound.initd
@@ -32,7 +32,13 @@ checkconfig() {
}
start_pre() {
- checkconfig
+ checkconfig || return 1
+
+ local i; for i in $(/usr/sbin/unbound-checkconf -o control-interface "$cfgfile"); do
+ case "$i" in
+ */*) test -d "$i" || checkpath -d -m 750 -o unbound:unbound "$(dirname "$i")" || return 1
+ esac
+ done
}
reload() {